using PkmnLib.Static.Moves;

namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "crafty_shield")]
public class CraftyShieldEffect : Script, IScriptStopBeforeMove
{
    /// <inheritdoc />
    public void StopBeforeMove(IExecutingMove move, ref bool stop)
    {
        if (move.UseMove.Category == MoveCategory.Status)
            stop = true;
    }
}